#! /bin/sh
#
# $Log: tk-yupana,v $
# Revision 0.7.0.3  2014/02/10 14:34:14  andrea
# TKY:: Kak (rappresentazione);
# DOC:: Aggiornata documentazione
#
# Revision 0.7.0.2  2013/12/17 16:21:19  kunturweb
# TKY: Wassen (rappresentazione): fix CTRL+leftbutton errore spostamento semi
# DOC: Aggiornata documentazione
# DEB: Aggiunto debian-doc contenente manuali PDF in tre lingue.
#
# Revision 0.7.0.1  2013/12/05 15:38:20  kunturweb
# TKY: Chirinos (rappresentazione); aggiunto help per menu principale
# DOC: aggiornata documentazione
# LOC: aggiunti manuali rappresentazione Chirinos
#
# Revision 0.7  2013/12/05 15:36:26  kunturweb
# Chirinos
#
# Revision 0.6.0.1  2013/11/13 15:09:24  kunturweb
# TKY:: fix di alcuni errori introdotti nella 0.5
# DOC:: sistemazione documentazione
# DEB:: creato pacchetto .deb
#
# Revision 0.6  2013/11/13 15:06:44  kunturweb
# Debianizzazione
#
#

TKYUPANA_USR=/usr
TKYUPANA_SHR=${TKYUPANA_USR}/share
TKYUPANA_APP=${TKYUPANA_SHR}/apps
TKYUPANA_TKY=${TKYUPANA_APP}/tk-yupana
TKYUPANA_TCL=${TKYUPANA_TKY}/tk-yupana.tcl

if [ ! -d ${TKYUPANA_TKY} ]; then
	echo "tk-yupana ERROR: cannot find directory ${TKYUPANA_TKY}; please check your installation"
	exit 1
fi

if [ ! -f ${TKYUPANA_TCL} ]; then
	echo "tk-yupana ERROR: cannot find file ${TKYUPANA_TCL}; please check your installation"
	exit 2
fi

if [ ! -x ${TKYUPANA_TCL} ]; then
	echo "tk-yupana ERROR: file ${TKYUPANA_TCL} is not executable; please check your installation"
	exit 3
fi

cd ${TKYUPANA_TKY}
if [ $? -ne 0 ]; then
	echo "tk-yupana ERROR: Cannot change dir to ${TKYUPANA_TKY}; please check your installation"
	exit 4
fi

${TKYUPANA_TCL} $*
exit $?
